Package net.paulhertz.pixelaudio.example

# Class DeadBodyWorkFlow.SamplerPointHappening

java.lang.Object
net.paulhertz.pixelaudio.example.DeadBodyWorkFlow.SamplerPointHappening

All Implemented Interfaces:
  `DeadBodyWorkFlow.Happening`

Enclosing class:
  DeadBodyWorkFlow

static final class DeadBodyWorkFlow.SamplerPointHappening extends Object implements DeadBodyWorkFlow.Happening

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) final ADSRParams`
  `env`
  `(package private) final float`
  `gain`
  `(package private) final int`
  `len`
  `(package private) final float`
  `noteMs`
  `(package private) final float`
  `pan`
  `(package private) final float`
  `pitchRatio`
  `(package private) final int`
  `samplePos`
  `(package private) final int`
  `x`
  `(package private) final int`
  `y`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SamplerPointHappening(int x, int y, int samplePos, int len, float gain, float pan, float pitch, ADSRParams env, int noteMs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `x()`
  `int`
  `y()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### x

    final int x

  - ### y

    final int y

  - ### samplePos

    final int samplePos

  - ### len

    final int len

  - ### gain

    final float gain

  - ### pan

    final float pan

  - ### pitchRatio

    final float pitchRatio

  - ### env

    final ADSRParams env

  - ### noteMs

    final float noteMs

- ## Constructor Details

  - ### SamplerPointHappening

    SamplerPointHappening(int x, int y, int samplePos, int len, float gain, float pan, float pitch, ADSRParams env, int noteMs)

- ## Method Details

  - ### x

    public int x()
    Specified by:
      `x` in interface `DeadBodyWorkFlow.Happening`

  - ### y

    public int y()
    Specified by:
      `y` in interface `DeadBodyWorkFlow.Happening`